*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "poppins", sans-serif;
}
html , body{
    height: 100%;
    width: 100%;
}
body {
    background:#F8FAFC;
    font-family: Arial, sans-serif;
    width:100%;
    margin-top: 100px;
}
/* ---------nav-------- */
nav{
    width: 100%;
    display: flex;
    background-color: #9edef053;
    backdrop-filter: blur(5px);
    padding: 10px;
    align-items: center;
    /* gap: 3rem; */
    position:fixed;
    z-index: 2;
    top: 0;
}

.nav-1-home-btn{
    display: none;

}
.nav2{
    display: none;
}



nav img{
    border:1px solid #00C6FF;
    border-radius: 20px;
    width: 190px;

} 
nav ul{
    display: flex;
    list-style: none;


}

nav a{

    padding: 10px 15px;
    text-decoration: none;
    color:#004bcc;
    border-radius: 10px;

}
nav a:hover {
    background-color:#00c8ff1e;

}
.menu-btn{
    display: none;
    position:absolute;
    right: 10px;

}
/* ---------sidebar--------- */
.sidebar{
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 250px;

    background: rgba(158, 222, 240, 0.3);

    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);

    box-shadow: -10px 0 10px rgba(0,0,0,0.1);

    display: none;
    flex-direction: column;
    padding-top: 13px;
    z-index: 3;
}
.sidebar li{
    padding: 10px 20px;
    width: 100%;
     list-style: none;
    border-bottom:1px solid #004bcc28 ;
    border-radius: 30px;
}
.sidebar li:hover {
    background-color:#00c8ff1e;

}
.sidebar a{
    width: 100%;
    padding: 12px 15px;
    text-decoration: none;
    color:#004bcc;

}


.main{

    box-shadow: 0 0 7px rgb(197, 191, 191);
    border: 2px dashed  #00C6FF ;
    border-radius: 1rem;
    max-width: 60vh;
    margin:20px auto;
    padding: 1rem;
    background-color:#bee4ee33 ;


}
h1 { 

  color: #004bcd;
  margin: 20px 0;
  line-height: 1.9rem;

}
.highlighter{
    color: #023184;
}
.file-card {

    padding: 12px;
    margin-bottom: 15px;

    background:#6ad1ee81;
    border:1px solid #E5E7EB;
    border-radius:8px;
    box-shadow:0 2px 6px rgba(0,0,0,0.08);
}

.preview-container {
    display: none;
    margin-top: 10px;
}

.preview-container img {
    max-width: 100%;
    margin-top: 5px;
    border: 1px solid #ccc;
}

button {
    margin-top: 5px;
    cursor: pointer;
    background:#00c8ff93;
    color:#022767;
    border:none;
    padding:8px 14px;
    border-radius:6px;
}
button:hover{
  background:#00C6FF;
}

#fileInput{
    min-width:3rem;
    padding:0.5vw;
    background-color: #00c8ff56;
    box-shadow: 0 0 10px rgb(164, 164, 164);
    border-radius:5px ;
    
}
#fileInput:hover{
    background-color: #00c8ffa1;
    cursor: pointer;

}
.file-input::file-selector-button{
    padding:1.5vw 2vw;
    font-size: 1rem;
    border-radius: 5px;
    border: none;
 
    cursor: pointer;

    
}  
.quality{
    border: none;
    color: #f2f3f5;
    width: 250px;
    height: 3px;
    padding: 0;
} 
input{
    border-radius: 8px;
    padding:10px;
    border: none;
    box-shadow: 0 0 2px  #00C6FF ;
    
}
#format{
    border-radius: 8px;
    padding:10px;
    border: none;
    box-shadow: 0 0 2px  #00C6FF ;
}
p{
    margin: 10px 0;
    color: #01225aa2;
}
ul{
    margin-left: 20px;
    color: #011e50d1;
}
h2{
    color: #004bcd;
   
}
.tool-info{
  
    width: 80%;
    /* padding: 20px; */
    justify-self: center;
}
.about-tool{
    padding: 20px;
    background:rgba(173, 216, 230, 0.574);
    margin: 5px 0;

    border-radius: 20px;
}
.how-tool{
    padding: 20px;
    background:rgba(173, 216, 230, 0.405);
    margin: 5px 0;
    border-radius: 20px;
}
.why-tool{
    padding: 20px;
    background:rgba(173, 216, 230, 0.574);
    margin: 5px 0;
    border-radius: 20px;
}
.features-tool{
    padding: 20px;
    background:rgba(173, 216, 230, 0.405);

    border-radius: 20px;
}
.question{
    color: #02337c;
}
.ans{
    color: #024fc2;
}
/* footer */

footer h4{
    color:#0d6efd ;
    word-spacing: 5px;
    font-weight: 500;
    padding: 0 50px;
    text-align: start;


}
footer h2{
    margin: 50px 0 20px 0;
}
footer ul{
   list-style: none;
}
footer span{
    color: #0d6efd;
    font-size: 30px;
    margin-right: 10px;
}
footer ol{
    margin-left: 30px;
}

footer{
border-top: 1px solid #02337c49;
padding:20px 10%;
background-color: #9bbef215;
margin-top:10px;


}
.footer-links
{
    display: flex;
    justify-content:space-evenly;
    padding: 10px 10%;

    
}
footer h3{
    color: #02337c;
}
footer hr{
  border: none;
  height: 1px;
  background-color: #88b3f3;
  margin: 10px 0 ;
}
.copy-right{
    text-align: center;
    padding: 15px 0 5px 0;


    
}
.copy-right p{
    color: #02337c;
    letter-spacing: 3px;
    font-weight: 100;

}

@media (max-width:600px) {
    body{
        margin-top: 75px;
    }
    nav{
        width: 100%;
        border-bottom: 1px solid #00C6FF;
        padding: 10px;
        display: flex ;
        justify-content: space-between;
        align-items: center; 

    }
    .nav-1-home-btn{
        display:inline-block;
        /* transform: translateX(-10px); */
        right: 10px;
        position: relative;


    }
    .menu-btn{
    position:absolute;
    top: 25px;
    right: 10px;
    }
    nav a{
    display: none;
    }
    .nav2{
    
        background-color: #f3f7fa;
        padding:10px ;
        border-bottom: 1px solid #00C6FF;
        display: flex;
        align-items:center ;
        justify-content: space-evenly;
        position: sticky;
        /* top: 0; */



    }

    .nav2 a{
        text-decoration: none;
        font-weight: 600;
        font-size: 0.9rem;
 
    }
    .file-input{
        max-width:15rem;
    }
    .controls{
        max-width:15rem ;
    }
    .main{
    width: 80%;
    }
}
@media (min-width:600px ) and (max-width:760px){
    nav a {
        padding: 10px 8px;

    }
}
@media (max-width:1240px) {
    .hide{
        display: none;

    }
    .menu-btn{
        display: block;
    }
    
}